# setuptools plugin

## setuptools - Python setuptools element

A BuildElement implementation for using python setuptools

The setuptools default configuration:

      #  Licensed under the Apache License, Version 2.0 (the "License");
      #  you may not use this file except in compliance with the License.
      #  You may obtain a copy of the License at
      #
      #      http://www.apache.org/licenses/LICENSE-2.0
      #
      #  Unless required by applicable law or agreed to in writing, software
      #  distributed under the License is distributed on an "AS IS" BASIS,
      #  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      #  See the License for the specific language governing permissions and
      #  limitations under the License.

      # Default python distutils configuration

      variables:

        # When building for python2 distutils, simply
        # override this in the element declaration
        python: python3

        python-build: |

          %{python} %{conf-root}/setup.py build

        install-args: |

          --prefix "%{prefix}" \
          --root "%{install-root}"

        python-install: |

          %{python} %{conf-root}/setup.py install %{install-args}

      config:

        # Commands for configuring the software
        #
        configure-commands: []

        # Commands for building the software
        #
        build-commands:
        - |
          %{python-build}

        # Commands for installing the software into a
        # destination folder
        #
        install-commands:
        - |
          %{python-install}

        # Commands for stripping debugging information out of
        # installed binaries
        #
        strip-commands:
        - |
          %{strip-binaries}

See built-in functionality documentation for details on common configuration options for build elements.